## ros-indigo-softkinetic-camera 0.6.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(softkinetic_camera)

find_package(catkin REQUIRED
  COMPONENTS
    roscpp
    std_msgs
    pcl_ros
    cv_bridge
    image_transport
    camera_info_manager
    message_generation
    dynamic_reconfigure)

# find the DepthSense SDK
list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_LIST_DIR}/cmake)
find_package(DepthSenseSDK)

generate_dynamic_reconfigure_options(cfg/Softkinetic.cfg)

###################################
## catkin specific configuration ##
###################################
catkin_package(
  CATKIN_DEPENDS roscpp std_msgs pcl_ros cv_bridge image_transport camera_info_manager message_runtime dynamic_reconfigure
)


###########
## Build ##
###########

if(NOT DepthSenseSDK_FOUND)
  message(WARNING "+++++++++++++++++++++++++++++++++++++++++++++++++++++++
+++++++++ Could not locate the DepthSense SDK +++++++++
Please install the SDK before trying to build the 'softkinetic_camera' package, see README.txt.
+++++++++++++++++++++++++++++++++++++++++++++++++++++++")

  include_directories(
    include
    ${catkin_INCLUDE_DIRS}
  )

  add_executable(softkinetic_bringup_node src/softkinetic_dummy.cpp)
  add_dependencies(softkinetic_bringup_node ${PROJECT_NAME}_gencfg)
  target_link_libraries(softkinetic_bringup_node ${catkin_LIBRARIES})

else()

  include_directories(
    include
    ${catkin_INCLUDE_DIRS}
    ${DepthSenseSDK_INCLUDE_DIRS}
  )

  add_executable(softkinetic_bringup_node src/softkinetic_start.cpp)
  add_dependencies(softkinetic_bringup_node ${PROJECT_NAME}_gencfg)
  target_link_libraries(softkinetic_bringup_node ${DepthSenseSDK_LIBRARIES} ${catkin_LIBRARIES})

endif()

install(TARGETS softkinetic_bringup_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

foreach(dir config launch meshes urdf)
  install(DIRECTORY ${dir}/
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

=== debian/changelog ===
ros-indigo-softkinetic-camera (0.6.2-0trusty) trusty; urgency=high



 -- Felipe Garcia Lopez <flg@ipa.fhg.de>  Wed, 22 Jun 2016 22:00:00 -0000

ros-indigo-softkinetic-camera (0.6.1-0trusty) trusty; urgency=high

  * 0.6.1
  * added CHANGELOG
  * consistent version nummber
  * Revert "Point cloud reformation to kinect-like "
  * demo launch file modified according to frame_id change and standardize aspect ratio
  * compile dummy node if the depthsense sdk is not found (used for travis compilation)
  * remove non-rgb pointcloud
  * point cloud frame_id fixed to rgb_optical_frame
  * Merge pull request #55 <https://github.com/ipa320/softkinetic/issues/55> from knorth55/serial-cfg-fix
    fix dynamic_reconfigure config
  * add time stamp in PointCloud ROS msg
  * fix dynamic_reconfigure config
  * Merge pull request #54 <https://github.com/ipa320/softkinetic/issues/54> from knorth55/add-keep-organized
    add setKeepOrganized to get organized output
  * Merge pull request #53 <https://github.com/ipa320/softkinetic/issues/53> from knorth55/filter-default-cfg-fixed
    Fix use_filter default value True -> False
  * Merge pull request #52 <https://github.com/ipa320/softkinetic/issues/52> from knorth55/image-format-fixed
    Fix image format WXGA -> WXGA_H
  * add use_serial in cfg
  * add use_serial and serial rosparam
  * add setKeepOrganized to get organized output
  * fix use_filter default value True -> False
  * fix image format WXGA -> WXGA_H
  * Remove useles variables
  * Get some performance improvement by not processing 3D points for
    saturated pixels (as they are anyway all-zero points).
    Also enforce calling any other filter before radious outlier removal so
    we get rid of the all-zero points and it doesn't take ages (I have
    tweaked default parameters accordingly).
  * Fix fustrum filter camera correction acording to the projection in
    indigo (that turned to be wrong! see issue #46 <https://github.com/ipa320/softkinetic/issues/46>).
    Also, fustrum filter only works with fov < 180, so I set max values to
    180 (and also set more realistic bounds for close/far planes)
  * Code simplification
  * Merge branch 'pal-robotics-forks-hydro_dev' into merge_pal
    Intermedate step before merging into indigo.
    I retain from PAL PR the dynamir reconfigure, the yaml configuration and
    the two additional filters (though frustum culling is not working!)
  * disable not used outputs on depth node (doesn't improve performance,
    anyway)
  * Replace ProjectionHelper by the UVmap; seems to be a bit faster and for sure makes the code a bit cleaner
  * Fix the collision box orientation. Also set realistic values for inertia
    , calculated with the solid cuboid formula from here:
    http://en.wikipedia.org/wiki/List_of_moments_of_inertia
  * Convert softkinetic vertices into a kinect-like coordinates pointcloud.
    Required by 83b8a8f2cfdcdc0441e4b433ad86cb16f378e54b
  * Replicate kinect tf scheme.
  * Merge branch 'hydro_dev' of https://github.com/pal-robotics/softkinetic into hydro_dev
  * fix variable name
  * fixes minor warnings and cosmetics
  * adds range_max param
    - reprojects x, y, z = range_max when no reading
    - uses i=j=0 instead of i=j=1 (last 2 rows were discarded)
  * Merge remote-tracking branch 'upstream/hydro_dev' into hydro_dev
    Conflicts:
    softkinetic_camera/CMakeLists.txt
  * adds frustrum culling filter
  * Issue #25 <https://github.com/ipa320/softkinetic/issues/25>: Color image is wrongly formed because the step field is not set
  * Pull request #30 <https://github.com/ipa320/softkinetic/issues/30>: a complete driver revision of the driver
    Also puts indigo branch up to date with hydro, so PR #33 <https://github.com/ipa320/softkinetic/issues/33> is unnecessary
  * dynamic reconfigure parameter not taking effect
    confidence_threshold update through dynamic reconfigure was not being applied
  * Merge branch 'hydro_dev' of https://github.com/pal-robotics/softkinetic into hydro_dev
  * fix reading of /camera_link parameter
    a private NodeHandle is used to retrieve "camera_link" parameter. However, the parameter name was set to "/camera_link" so that it was being looked for in the root namespace and therefore, not found.
  * fix setupCameraInfo to use cam_info of the method's arg
  * Replicate PR #32 <https://github.com/ipa320/softkinetic/issues/32> to speed up both color and depth images reading
  * use memcpy to copy color image instead of nested for-loops
  * renames voxel_grid_size and min_neighbours params
  * base_rgbd_camera_optical_frame on static_transform
  * drops outdated opencv2 dependency for indigo
  * adds dynamic reconfigure server
  * updates indentation
  * adds passthrough filter params
  * adds passthrough filter
  * Merge pull request #5 <https://github.com/ipa320/softkinetic/issues/5> from efernandez/link
    Sets camera_link to optical frame
  * sets optical frame (not camera link directly)
  * use C++ casting
  * We get wrong image_color and image_mono when color_compression is set to
    YUY2. This problem is also present in hydro_devel. Fixed reading color
    map as a YUV image and converting into BGR, with very low performance
    penalization.
    I have also wrote some additional comments.
  * fix camera frame name
  * Rename parameter minNeighboursInRadius as min_neighbours to respect
    parameters naming conventions
  * Add launch files specific for each softkinetic camera
  * Add enabling/disabling params for depth and color
  * add launch file for the ds325 model
    Specific parameters set for this model
  * Add camera views
  * Separated calibration files for depth and color cameras.
  * ROS-formated
  * Big rebouild to improve speed, fix depth camera info, change topics
    names, etc.
  * Merge pull request #27 <https://github.com/ipa320/softkinetic/issues/27> from pal-robotics/hydro_dev
    Add params to enable/disable color and depth streams


=== debian/control ===
Source: ros-indigo-softkinetic-camera
Section: misc
Priority: extra
Maintainer: Felipe Garcia Lopez <flg@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-softkinetic-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-camera-info-manager, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-message-runtime, ros-indigo-pcl-ros, ros-indigo-roscpp, ros-indigo-std-msgs
Description: Softkinetic cameras drivers, including filters.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-softkinetic-camera//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
